Activities: Flash Card Set

mod_flashcard
Maintained by Picture of Valery FremauxValery Fremaux, Picture of Tomasz MurasTomasz Muras
Flashcards
634 sites
403 downloads
36 fans
Current versions available: 15

IMPORTANT NOTE FOR PLUGIN ARCHIVE AVAILABILITY : due to the large amount of plugins supported, it is NOT affordable for us to update moodle.org packages. Please use the Source Control urls to our github to get plugins archives

Important information.

The flashcard module was originally written by Valery for 1.9. It was hosted on the old Moodle plugins database, there was also an version initially ported to Moodle 2.

Tomek took over the work on it, finished porting into Moodle 2 and done few releases on the new plugins database page (this one). The latest version of this module is 3.2 and is available on github: https://github.com/tmuras/Moodle-Flashcard . It includes set of fixes from alekiy that should get it to work on Moodle 2.5. You can use it but this development is dis-continued.

Valery has now updated his branch of flashcard module into Moodle 2.5. The source code is https://github.com/vfremaux/moodle-mod_flashcard and the latest release is also on this, new plugins database as 2.4.0 (Build 2012040100). This is the branch you should be using now.

Both versions of flashcard module have diverged and are not compatible with each other. It's not possible to easily switch from one version (3.1 or 3.2) to another (2.4.0) without re-installing (and hence loosing all data).

Screenshots

Screenshot #0

Contributors

Picture of Valery Fremaux
Valery Fremaux (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Comments

  • Picture of Matt T
    Fri, Aug 18, 2017, 12:45 PM
    We installed this on Moodle 3.1.6 and it resulted in a bug affecting the entire site: you could not delete any resource from any course. Problem was fixed after uninstalling plugin
    PHP Fatal error: Class backup_flashcard_activity_task declares 1 abstract method and must therefore be declared abstract or implement the remaining methods
  • Picture of Julien Camus
    Wed, Sep 27, 2017, 7:25 PM
    Hello Valery! I have Flashcards (3.2.0 -Build 2017022000) working fine on my moodle install (Moodle 3.2.1+ (Build: 20170119))... except that the students of I, the admin, can't "reset" leitner stacks of cards. I read on the forum that I can go in the Flashcard activity and to "Summary" then reset the "attempt" of a user. But when I go to summary, all I have is a dropdown to select groups of users but no users show up. There is just the dropdown. So I can't reset the Leitner stacks for a user. Am I missing something? Is this something you can help with? Thank you! Julien
  • Picture of Robert Schrenk
    Fri, Oct 13, 2017, 4:36 AM
    Hi, this is a really cool plugin. Unfortunatley it breaks course archiving. This is the error message that was logged:

    PHP Fatal error: Class backup_flashcard_activity_task contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (backup_activity_task::define_my_settings) in /var/www/..../mod/flashcard/backup/moodle2/backup_flashcard_activity_task.class.php on line 55

    Is there a chance to get this fixed?
  • Picture of Robert Schrenk
    Fri, Oct 20, 2017, 4:16 PM
    I found a work around by installing version 3.0.0 of this plugin. If you already installed and used 3.2.0 you may not want to remove the plugin to install the former one. You can get around this issue by merging the code of the old version into the new one. Just follow the instructions given here: https://moodle.org/mod/forum/discuss.php?d=348136#p1409028

    I checked the code and the difference to the old version is, that links in the backup-file that link to the flash-card activity will stay absolute - so if you import from one moodle to another maybe some of your links will not work anymore. Hopefully we geht this fixed by the plugin maintainers!
  • Picture of Thomas Weiland
    Mon, Oct 23, 2017, 7:52 PM
    Will there be any support for Moodle 3.3?
  • Picture of John Walker
    Sun, Jan 28, 2018, 8:51 PM
    It is really a good plugin. I found it very useful.
    https://myassignmentguru.com
  • Picture of Dinis Medeiros
    Sun, Jan 28, 2018, 10:18 PM
  • Picture of Dinis Medeiros
    Mon, Jan 29, 2018, 11:56 PM
    What about this?
    https://imgur.com/a/Fr4nZ
  • Picture of Mignon Smit
    Mon, Jun 11, 2018, 8:56 PM
    I would like to know if there isn't someone out there who would continue development, and maybe add some features? Asking miracles I know ...
    I think this is a great learning tool.

    My question for today: Is there some way the questions can be exported into a file? I'd like to use some cards for other grades too, any suggestions?
    Thank you
    Mignon

  • Picture of Debbie Unterseher
    Thu, Jul 12, 2018, 1:49 AM
    The only plugin for that that I have got to work without having a backup error is found https://github.com/vfremaux/moodle-mod_flashcard and I have switched back and forth between the two.
  • Picture of Arif Rahman
    Sat, Aug 25, 2018, 10:33 PM
    This plugin doesn't work in the mobile app. how to enable this?
  • Picture of Sébastien Marseillac
    Thu, Nov 29, 2018, 6:45 PM
    Hi, i'm using your plugin for the first times with my students (moodle 3.5) every thing is ok, thank you for your work by the way) except when i try to see how my students are doing, i get the message : Exception : Call to a member function pix_icon() on null
    Have you got a solution ?
    thank you
    Sebastien
  • Picture of Paul Powell
    Tue, Jan 8, 2019, 4:31 AM
    Installed this for 3.6 today and it causes a nasty whitescreen for the whole site. This is due to /lib/eventslib.php being required by lib.php. Commenting out this line (29 in lib.php) gets it working. Furthermore, another (less serious) error is caused by line 170 of renderer.php. This stops the user overview from being displayed. $OUTPUT->pix_icon needs changing to $this->output->pix_icon.

    Hope this helps.
  • Picture of Debbie Unterseher
    Thu, Jul 18, 2019, 5:13 AM
    Hsuforum and the flashcard module caused havoc with us updating to Moodle 3.6 from 3.5 because of the eventslib.php file that Moodle no longer has. If you use their latest zip file from here, it should work. We had to remove the plugin folder for both of these modules first to get it working and not displaying the HTTP 500 error.
  • Picture of Kathrin Braungardt
    Tue, Sep 10, 2019, 10:27 PM
    Hi,

    for 3.7 I get this message: Debug info: Missing version.php
    Error code: detectedbrokenplugin

    regards Kathrin
Please login to post comments